Chinaunix首页 | 论坛 | 博客
  • 博客访问: 2519915
  • 博文数量: 323
  • 博客积分: 10211
  • 博客等级: 上将
  • 技术积分: 4934
  • 用 户 组: 普通用户
  • 注册时间: 2006-08-27 14:56
文章分类

全部博文(323)

文章存档

2012年(5)

2011年(3)

2010年(6)

2009年(140)

2008年(169)

分类: 系统运维

2008-11-13 19:07:18

应测试应用的要求,需要将ML04的AIX降低到ML02。途中经历了一些故障现总结如下:
1.用相同版本的mksysb光盘镜像去引导系统并恢复时,如果mksysb原来的系统rootvg做了镜像,那么恢复的时候也要选择两块磁盘。否则回报错,报错的大意是无法创建rootvg里默认的LV和相应的FS。退出后可能出现系统无法正常启动,报OS image不存在。
 
2.建议用相同版本的光盘去引导系统。用低版本的光盘去引导高版本的系统在恢复的时候会出问题。
 
3.如果想让有rootvg镜像的mksysb镜像光盘去恢复单盘的rootvg系统,那么在执行系统备份之前需要编辑image.data文件。去掉其中的PV和相关lv的copy数。
 
4.如果磁带意外不支持引导,我们可以先用同ML的光盘去引导系统。然后选择磁带去恢复。
 
5.ML04降到ML02后,FC卡找不到。相应的阵列盘,带库都无法找到。cfgmgr的时候报如下错误:
cfgmgr: 0514-621 WARNING: The following device packages are required for
        device support but are not currently installed.
devices.pci.fibre-channel:devices.pci.df1000fd
 
系统提示缺少文件集devices.pci.df1000fd。因为ML版本低,一些新的硬件驱动可能没有。此处的FC卡是4G的,而原来系统的FC卡是1G的。在ML04的光盘找到了这个文件集,但安装的时候继续报错:
devices.pci.df1000fd.rte 5.3.0.0          # 4Gb PCI-X FC Adapter Device ...
   
  MISSING REQUISITES:  The following filesets are required by one or more
  of the selected filesets listed above.  They are not currently installed
  and could not be found on the installation media.
 
    bos.rte 6.0.0.0                           # Base Level Fileset
    xlC.aix61.rte 9.0.0.0                     # Base Level Fileset
   
  CONFLICTING REQUISITES:  The following filesets are required by one or
  more of the selected filesets listed above.  There are other versions of
  these filesets which are already installed (or which were selected to be
  installed during this installation session).  A base level fileset cannot
  be installed automatically as another fileset's requisite when a different
  version of the requisite is already installed.  You must explicitly select
  the base level requisite for installation.
 
    devices.pci.df1000f7.com 5.3.0.40         # Common PCI FC Adapter Device...
   
  << End of Failure Section >> 
 
继续ML04光盘安装devices.pci.df1000f7.com 5.3.0.40,安装完成后再回头安装devices.pci.df1000fd.rte 这次安装成功。重新cfgmgr可以发现FC卡。现在的系统级别如下:
#instfix -i|grep ML
    All filesets for 5.3.0.0_AIX_ML were found.
    All filesets for 5300-01_AIX_ML were found.
    All filesets for 5300-02_AIX_ML were found.
    Not all filesets for 5300-03_AIX_ML were found.
    Not all filesets for 5300-04_AIX_ML were found.
很好理解,我们刚安装了ML04的文件集。
阅读(2066) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~